# Request a foreign exchange quote

**POST** `/transfers/international-wire/fx-rate`

Request a foreign exchange quote to exchange USD to other currencies for international wire transfers. Quotes are not booked until they are used in transfer requests.

### Body Parameters

- `book_directly` `boolean` _(required)_ — If `true`, the quote will be booked immediately upon creation.
- `buy_amount` `number` _(required)_ — Amount to buy in the smallest unit of the buy currency.
- `buy_currency_code` `string` _(required)_ — The three-letter ISO 4217 currency code of the currency to buy.
- `fx_fee_bps` `number` _(required)_ — Foreign exchange fee in basis points.
- `rate_date` `string` _(required)_ — The calendar date to use for the exchange rate. Format: `YYYY-MM-DD`. If not provided, today's rate is used.

**Request**

```shell
curl https://api.column.com/transfers/international-wire/fx-rate \
  -XPOST \
  -u :<YOUR API KEY> \
  -d buy_amount=100000 \
  -d buy_currency_code=CNY
```

**Response 200**

```json
{
  "buy_amount": 100000,
  "buy_currency_code": "CNY",
  "created_at": "2022-09-29T19:16:58Z",
  "expired_at": "2022-09-29T19:31:28Z",
  "id": "fxqt_2FSINZ1O21ncdarR7GITr9kAgr6",
  "rate": "6.8546",
  "rate_date": "2022-09-29",
  "sell_amount": 14589,
  "sell_currency_code": "USD",
  "status": "not_booked",
  "updated_at": "2022-09-29T19:16:58.998Z"
}
```
